import { get, put, post, deletes } from '@/http/index'

// 查询维修任务列表
export const getMaintenanceask = async (data) => {
  return await get('/als/maintenanceask/list', data)
}

// 查询维修任务详情
export const getMaintenanceaskInfo = async (id) => {
  return await get('/als/maintenanceask/' + id)
}

// 新增维修任务
export const addMaintenanceask = async (data) => {
  return await post('/als/maintenanceask', data)
}

// 修改维修任务
export const updateMaintenanceask = async (data) => {
  return await put('/als/maintenanceask', data)
}

// 删除维修任务
export const removeMaintenanceask = async (id) => {
  return await deletes('/als/maintenanceask/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
